@use '@angular/material' as mat;
@use '@angular/material/theming';
@use 'partials/palette';

.region-of-interest-container {
    display: grid;
    grid-template-columns: 10% auto 10% 10%;
    padding: 5px 10px;
}

.region-of-interest-item {
  align-self: center;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.clickable {
  cursor: pointer;
}

.selected {
  background-color: mat.get-color-from-palette(
    palette.$background,
    hover,
    0.22
  );
}

.disabled {
  color: mat.get-color-from-palette(
    palette.$foreground,
    disabled
  );
}
